/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;


/**
 * 缺陷管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-28 13:45:44  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷管理")
public class SynBugInfo extends TenantPartition implements Entity
{
  public static final String KEY_bugId = "bugId";
  public static final String KEY_bugGrade = "bugGrade";
  public static final String KEY_bugType = "bugType";
  public static final String KEY_bugFrom = "bugFrom";
  public static final String KEY_emergency = "emergency";
  public static final String KEY_bugStatus = "bugStatus";
  public static final String KEY_receiver = "receiver";
  public static final String KEY_repairTime = "repairTime";
  public static final String KEY_repairUser = "repairUser";
  public static final String KEY_closeTime = "closeTime";
  public static final String KEY_systemId = "systemId";
  public static final String KEY_roundId = "roundId";
  public static final String KEY_moduleId = "moduleId";
  public static final String KEY_proId = "proId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_caseNum= "caseNum";

  /**
   * 缺陷id<br>
   */
  @ApiModelProperty("缺陷id")
  @Size(max = 32, message="缺陷id-bugId: 数据长度不能 > 32" )
  private String bugId;
  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类
<br>
   */
  @ApiModelProperty("严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类 ")
  @Size(max = 1, message="严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类 -bugGrade: 数据长度不能 > 1" )
  private String bugGrade;
  /**
   * 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷<br>
   */
  @ApiModelProperty("缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷")
  @Size(max = 50, message="缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷-bugType: 数据长度不能 > 50" )
  private String bugType;
  /**
   * 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交<br>
   */
  @ApiModelProperty("缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交")
  @Size(max = 2, message="缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交-bugFrom: 数据长度不能 > 2" )
  private String bugFrom;
  /**
   * 紧急程度：1.高、2.中、3.低<br>
   */
  @ApiModelProperty("紧急程度：1.高、2.中、3.低")
  @Size(max = 1, message="紧急程度：1.高、2.中、3.低-emergency: 数据长度不能 > 1" )
  private String emergency;
  /**
   * 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核<br>
   */
  @ApiModelProperty("缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核")
  @Size(max = 50, message="缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核-bugStatus: 数据长度不能 > 50" )
  private String bugStatus;
  /**
   * 分配给，缺陷接收人<br>
   */
  @ApiModelProperty("分配给，缺陷接收人")
  @Size(max = 32, message="分配给，缺陷接收人-receiver: 数据长度不能 > 32" )
  private String receiver;
  /**
   * 修复时间<br>
   */
  @ApiModelProperty("修复时间")
  private Date repairTime;
  /**
   * 修复人<br>
   */
  @ApiModelProperty("修复人")
  @Size(max = 32, message="修复人-repairUser: 数据长度不能 > 32" )
  private String repairUser;
  /**
   * 关闭日期<br>
   */
  @ApiModelProperty("关闭日期")
  private Date closeTime;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-systemId: 数据长度不能 > 50" )
  private String systemId;
  /**
   * 轮次id<br>
   */
  @ApiModelProperty("轮次id")
  @Size(max = 50, message="轮次id-roundId: 数据长度不能 > 50" )
  private String roundId;
  /**
   * 模块id<br>
   */
  @ApiModelProperty("模块id")
  @Size(max = 50, message="模块id-moduleId: 数据长度不能 > 50" )
  private String moduleId;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-proId: 数据长度不能 > 32" )
  private String proId;
  /**
   * 创建发现人<br>
   */
  @ApiModelProperty("创建发现人")
  @Size(max = 32, message="创建发现人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 50, message="更新人-updatedBy: 数据长度不能 > 50" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 关联用例数<br>
   */
  @ApiModelProperty("关联用例数")
  private Integer caseNum;

  public Integer getCaseNum() {
    return caseNum;
  }

  public void setCaseNum(Integer caseNum) {
    this.caseNum = caseNum;
  }
  /**
   * 缺陷id<br>
   */
  public String getBugId()
  {
      return bugId;
    }

  /**
   * 缺陷id<br>
   *
   * @param bugId 缺陷id
   */
  public void setBugId(String bugId)
  {
      this.bugId = bugId;
    }
  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类
<br>
   */
  public String getBugGrade()
  {
      return bugGrade;
    }

  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类
<br>
   *
   * @param bugGrade 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类

   */
  public void setBugGrade(String bugGrade)
  {
      this.bugGrade = bugGrade;
    }
  /**
   * 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷<br>
   */
  public String getBugType()
  {
      return bugType;
    }

  /**
   * 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷<br>
   *
   * @param bugType 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷
   */
  public void setBugType(String bugType)
  {
      this.bugType = bugType;
    }
  /**
   * 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交<br>
   */
  public String getBugFrom()
  {
      return bugFrom;
    }

  /**
   * 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交<br>
   *
   * @param bugFrom 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交
   */
  public void setBugFrom(String bugFrom)
  {
      this.bugFrom = bugFrom;
    }
  /**
   * 紧急程度：1.高、2.中、3.低<br>
   */
  public String getEmergency()
  {
      return emergency;
    }

  /**
   * 紧急程度：1.高、2.中、3.低<br>
   *
   * @param emergency 紧急程度：1.高、2.中、3.低
   */
  public void setEmergency(String emergency)
  {
      this.emergency = emergency;
    }
  /**
   * 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核<br>
   */
  public String getBugStatus()
  {
      return bugStatus;
    }

  /**
   * 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核<br>
   *
   * @param bugStatus 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核
   */
  public void setBugStatus(String bugStatus)
  {
      this.bugStatus = bugStatus;
    }
  /**
   * 分配给，缺陷接收人<br>
   */
  public String getReceiver()
  {
      return receiver;
    }

  /**
   * 分配给，缺陷接收人<br>
   *
   * @param receiver 分配给，缺陷接收人
   */
  public void setReceiver(String receiver)
  {
      this.receiver = receiver;
    }
  /**
   * 修复时间<br>
   */
  public Date getRepairTime()
  {
      if(repairTime != null)
    {
      return (Date)repairTime.clone();
    }
    return null;
    }

  /**
   * 修复时间<br>
   *
   * @param repairTime 修复时间
   */
  public void setRepairTime(Date repairTime)
  {
      if(repairTime != null)
    {
      this.repairTime = (Date)repairTime.clone();
    }
    }
  /**
   * 修复人<br>
   */
  public String getRepairUser()
  {
      return repairUser;
    }

  /**
   * 修复人<br>
   *
   * @param repairUser 修复人
   */
  public void setRepairUser(String repairUser)
  {
      this.repairUser = repairUser;
    }
  /**
   * 关闭日期<br>
   */
  public Date getCloseTime()
  {
      if(closeTime != null)
    {
      return (Date)closeTime.clone();
    }
    return null;
    }

  /**
   * 关闭日期<br>
   *
   * @param closeTime 关闭日期
   */
  public void setCloseTime(Date closeTime)
  {
      if(closeTime != null)
    {
      this.closeTime = (Date)closeTime.clone();
    }
    }
  /**
   * 系统id<br>
   */
  public String getSystemId()
  {
      return systemId;
    }

  /**
   * 系统id<br>
   *
   * @param systemId 系统id
   */
  public void setSystemId(String systemId)
  {
      this.systemId = systemId;
    }
  /**
   * 轮次id<br>
   */
  public String getRoundId()
  {
      return roundId;
    }

  /**
   * 轮次id<br>
   *
   * @param roundId 轮次id
   */
  public void setRoundId(String roundId)
  {
      this.roundId = roundId;
    }
  /**
   * 模块id<br>
   */
  public String getModuleId()
  {
      return moduleId;
    }

  /**
   * 模块id<br>
   *
   * @param moduleId 模块id
   */
  public void setModuleId(String moduleId)
  {
      this.moduleId = moduleId;
    }
  /**
   * 系统id<br>
   */
  public String getProId()
  {
      return proId;
    }

  /**
   * 系统id<br>
   *
   * @param proId 系统id
   */
  public void setProId(String proId)
  {
      this.proId = proId;
    }
  /**
   * 创建发现人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建发现人<br>
   *
   * @param createdBy 创建发现人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public SynBugInfo()
  {
  }

}
